Subject: Re: [PATCH net 2/2] net/sched: flower: fix error handler on replace

From: Vlad Buslov <[email-masked]>
Date: Thu, 4 May 2023 21:32:40 +0300

On Thu 04 May 2023 at 16:24, Paolo Abeni <[email-masked]> wrote:
> On Thu, 2023-05-04 at 16:40 +0300, Vlad Buslov wrote:
>> On Tue 02 May 2023 at 19:44, Jakub Kicinski <[email-masked]> wrote:
>> > On Fri, 28 Apr 2023 14:03:19 +0300 Vlad Buslov wrote:
>> > > Note that with these changes (both accepted patch and preceding diff)
>> > > you are exposing filter to dapapath access (datapath looks up filter via
>> > > hash table, not idr) with its handle set to 0 initially and then resent
>> > > while already accessible. After taking a quick look at Paul's
>> > > miss-to-action code it seems that handle value used by datapath is taken
>> > > from struct tcf_exts_miss_cookie_node not from filter directly, so such
>> > > approach likely doesn't break anything existing, but I might have missed
>> > > something.
>> > 
>> > Did we deadlock in this discussion, or the issue was otherwise fixed?
>> 
>> From my side I explained why in my opinion Ivan's fix doesn't cover all
>> cases and my approach is better overall. Don't know what else to discuss
>> since it seems that everyone agreed.
>
> Do I read correctly that we need a revert of Ivan's patch to safely
> apply this series? If so, could you please repost including such
> revert?

I don't believe our fixes conflict, it is just that Ivan's should become
redundant with mine applied. Anyway, I've just sent V2 with added
revert.